Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Install of HDP-2.3.2 with Ambari 2.1.2.1 on Oracle Linux 7 - Has anybody managed this?

Install of HDP-2.3.2 with Ambari 2.1.2.1 on Oracle Linux 7 - Has anybody managed this?

New Contributor

Hi,

Has anybody managed to do this install. I have tried several times and it keeps failing at the HBase install with the error:

Could not determine HDP version for component hbase-client by calling '/usr/bin/hdp-select status hbase-client > /tmp/tmpIXOKFh'. Return Code: 1, Output

Any help on this appreciated?

Thanks,

David

11 REPLIES 11
Highlighted

Re: Install of HDP-2.3.2 with Ambari 2.1.2.1 on Oracle Linux 7 - Has anybody managed this?

@David Broderick Is it brand new install ? or Install after cleaning up the existing cluster?

Highlighted

Re: Install of HDP-2.3.2 with Ambari 2.1.2.1 on Oracle Linux 7 - Has anybody managed this?

New Contributor

Hi,

It fails on both a brand new install and over an existing attempt. Hope this helps.

Thanks

Highlighted

Re: Install of HDP-2.3.2 with Ambari 2.1.2.1 on Oracle Linux 7 - Has anybody managed this?

@David Broderick Could you paste more entries from the log? and your ambari.repo file...please

Highlighted

Re: Install of HDP-2.3.2 with Ambari 2.1.2.1 on Oracle Linux 7 - Has anybody managed this?

Highlighted

Re: Install of HDP-2.3.2 with Ambari 2.1.2.1 on Oracle Linux 7 - Has anybody managed this?

@David Broderick Could try to install the cluster without HBASE and then add it later? Just for the test

Highlighted

Re: Install of HDP-2.3.2 with Ambari 2.1.2.1 on Oracle Linux 7 - Has anybody managed this?

It could be an issue with the hdp-select command on that machine. @David Broderick - could you run that command on the specific server and paste the output? (/usr/bin/hdp-select status hbase-client)

Highlighted

Re: Install of HDP-2.3.2 with Ambari 2.1.2.1 on Oracle Linux 7 - Has anybody managed this?

New Contributor

Hi,

Output from /usr/bin/hdp-select status hbase-client

Traceback (most recent call last): File "/usr/bin/hdp-select", line 368, in <module> listPackages(getPackages(args[1])) File "/usr/bin/hdp-select", line 213, in listPackages os.path.basename(os.path.dirname(os.readlink(linkname)))) OSError: [Errno 22] Invalid argument: '/usr/hdp/current/hbase-client'

But the 'invalid argument' exists

ls -lsa /usr/hdp/current/hbase-client/ total 12 4 drwxr-xr-x 3 root root 4096 Dec 10 18:29 . 4 drwxr-xr-x 12 root root 4096 Dec 10 18:29 .. 4 drwxr-xr-x 2 hbase hadoop 4096 Dec 10 18:29 conf

On the same machine, the HDFS Client Install also fails with the following trace:

Traceback (most recent call last):
  File "/var/lib/ambari-agent/cache/common-services/HDFS/2.1.0.2.0/package/scripts/hdfs_client.py", line 120, in <module>
  HdfsClient().execute()
  File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py", line 216, in execute
  method(env)
  File "/var/lib/ambari-agent/cache/common-services/HDFS/2.1.0.2.0/package/scripts/hdfs_client.py", line 36, in install
  self.configure(env)
  File "/var/lib/ambari-agent/cache/common-services/HDFS/2.1.0.2.0/package/scripts/hdfs_client.py", line 41, in configure
  hdfs()
  File "/usr/lib/python2.6/site-packages/ambari_commons/os_family_impl.py", line 89, in thunk
  return fn(*args, **kwargs)
  File "/var/lib/ambari-agent/cache/common-services/HDFS/2.1.0.2.0/package/scripts/hdfs.py", line 61, in hdfs
  group=params.user_group
  File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line 154, in __init__
  self.env.run()
  File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 152, in run
  self.run_action(resource, action)
  File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 118, in run_action
  provider_action()
  File "/usr/lib/python2.6/site-packages/resource_management/libraries/providers/xml_config.py", line 67, in action_create
  encoding = self.resource.encoding
  File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line 154, in __init__
  self.env.run()
  File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 152, in run
  self.run_action(resource, action)
  File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py", line 118, in run_action
  provider_action()
  File "/usr/lib/python2.6/site-packages/resource_management/core/providers/system.py", line 87, in action_create
  raise Fail("Applying %s failed, parent directory %s doesn't exist" % (self.resource, dirname))
resource_management.core.exceptions.Fail: Applying File['/usr/hdp/current/hadoop-client/conf/hadoop-policy.xml'] failed, parent directory /usr/hdp/current/hadoop-client/conf doesn't exist

Hope this extra info helps, as the problem really has me stumped.

Thanks,

David

Highlighted

Re: Install of HDP-2.3.2 with Ambari 2.1.2.1 on Oracle Linux 7 - Has anybody managed this?

New Contributor

Ambari Repo File is:

#VERSION_NUMBER=2.1.2.1-418

[Updates-ambari-2.1.2.1] name=ambari-2.1.2.1 - Updates baseurl=http://udinfor110.ucles.internal/ambari/centos7/Updates-ambari-2.1.2.1 gpgcheck=1 gpgkey=http://public-repo-1.hortonworks.com/ambari/centos7/RPM-GPG-KEY/RPM-GPG-KEY-Jenkins enabled=1 priority=1

Highlighted

Re: Install of HDP-2.3.2 with Ambari 2.1.2.1 on Oracle Linux 7 - Has anybody managed this?

New Contributor

I fixed the issue erasing all data of the last ambari instalation. You can look the steps in Host Cleanup for Ambari and Stack

Don't have an account?
Coming from Hortonworks? Activate your account here